Skip to navigation

Get template delayed routing rules

View as Markdown

Given a template and a workflow step, returns the delayed routing rules for that workflow step.

Note: If the workflow step does not have a delayed routing object, this method returns a 404.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.
workflowStepIdstringRequired
The ID of the workflow step.

Response

Successful response.
resumeDatestringOptional

The ISO 8601 timestamp of when the envelope is scheduled to be sent to the recipients associated with the workflow step. This property is null if the workflow step has not been initiated.

This property is read-only.

ruleslist of objectsOptional

User-specified rules indicating how and when the envelope should sent for the workflow step and its associated recipients. Only one rule may be specified.

statusstringOptional

Status of the delayed routing step. Valid values:

  • pending: The workflow step has not been reached and the delay has not been initiated.
  • started: The workflow step has begun and the delay is in progress. The envelope has not yet been sent to the workflow step’s recipients.
  • completed: The delay has elapsed and the envelope has been sent to the workflow step’s recipients.

This property is read-only.

Errors

400
Bad Request Error